Name:           ocaml-gsl
Version:        1.19.1
Release:        %mkrel 17
Summary:        GSL-Bindings for OCaml (GNU Scientific Library)
License:        GPL-3+
Group:          Development/OCaml
URL:            http://mmottl.github.io/gsl-ocaml/
Source0:        https://github.com/mmottl/gsl-ocaml/archive/v%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  pkgconfig(gsl)
BuildRequires:  openblas-devel
# "Architectures with double-word alignment for doubles are not supported"
ExcludeArch:	%arm

%description
This is an interface to GSL (the GNU scientific library) for
the OCaml language.
GSL homepage: http://www.gnu.org/software/gsl

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libgsl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n gsl-ocaml-%{version}

%build
export GSL_CBLAS_LIB="-lopenblas"

./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel \
    --destdir %{buildroot}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/gsl
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt NOTES.md TODO.md
%dir %{_libdir}/ocaml/gsl
%{_libdir}/ocaml/gsl/META
%{_libdir}/ocaml/gsl/*.cmi
%{_libdir}/ocaml/gsl/*.cma
%{_libdir}/ocaml/gsl/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%doc /usr/share/doc/ocaml-gsl-devel/api/
%{_libdir}/ocaml/gsl/*.a
%{_libdir}/ocaml/gsl/*.annot
%{_libdir}/ocaml/gsl/*.cmxa
%{_libdir}/ocaml/gsl/*.cmt
%{_libdir}/ocaml/gsl/*.cmti
%{_libdir}/ocaml/gsl/*.cmx
%{_libdir}/ocaml/gsl/*.mli
%{_libdir}/ocaml/gsl/*.ml


%changelog
* Sun Jan 10 2021 daviddavid <daviddavid> 1.19.1-17.mga8
+ Revision: 1670647
- switch to openblas
+ pterjan <pterjan>
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.19.1-15.mga8
+ Revision: 1551358
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.19.1-14.mga8
+ Revision: 1543574
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.19.1-13.mga8
+ Revision: 1481942
- rebuild for ocaml-4.10

* Tue Aug 27 2019 daviddavid <daviddavid> 1.19.1-12.mga8
+ Revision: 1433760
- rebuild for new gsl 2.6

* Tue Oct 23 2018 pterjan <pterjan> 1.19.1-11.mga7
+ Revision: 1324538
- Rebuild for ocaml 4.07.1

* Tue Oct 23 2018 pterjan <pterjan> 1.19.1-10.mga7
+ Revision: 1324386
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.19.1-9.mga7
+ Revision: 1299878
- Mageia 7 Mass Rebuild

* Wed Dec 27 2017 wally <wally> 1.19.1-8.mga7
+ Revision: 1185793
- don't hard code lib requires

* Wed Dec 27 2017 wally <wally> 1.19.1-7.mga7
+ Revision: 1185792
- fix gsl requires

* Wed Dec 27 2017 wally <wally> 1.19.1-6.mga7
+ Revision: 1185649
- rebuild for new gsl

* Sun Nov 26 2017 tv <tv> 1.19.1-5.mga7
+ Revision: 1179677
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Mon May 23 2016 daviddavid <daviddavid> 1.19.1-4.mga6
+ Revision: 1017953
- link against new atlas for improved performance (like fedora)
+ tv <tv>
- rebuild for new atlas

* Tue Feb 02 2016 pterjan <pterjan> 1.19.1-3.mga6
+ Revision: 931003
- Exclude arm which is not supported

* Mon Feb 01 2016 pterjan <pterjan> 1.19.1-2.mga6
+ Revision: 930875
- Rebuild for new ocaml

* Tue Jan 26 2016 luigiwalser <luigiwalser> 1.19.1-1.mga6
+ Revision: 927783
- 1.19.1
- rebuild for gsl

* Wed Oct 21 2015 tv <tv> 1.17.2-3.mga6
+ Revision: 893357
- fix build: package more docs

* Wed Oct 15 2014 umeabot <umeabot> 1.17.2-3.mga5
+ Revision: 750075
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.17.2-2.mga5
+ Revision: 683043
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.17.2-1.mga5
+ Revision: 673976
- update to 1.17.2

* Sat Oct 19 2013 umeabot <umeabot> 1.13.0-6.mga4
+ Revision: 534725
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 1.13.0-5.mga4
+ Revision: 478643
- rebuild for new ocaml

* Wed Jul 31 2013 blue_prawn <blue_prawn> 1.13.0-4.mga4
+ Revision: 461551
- updated to last version 1.13.0

* Sun Jan 13 2013 umeabot <umeabot> 1.11.0-4.mga3
+ Revision: 361408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 blue_prawn <blue_prawn> 1.11.0-3.mga3
+ Revision: 321390
- just rebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.11.0-2.mga3
+ Revision: 301107
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.11.0-1.mga3
+ Revision: 300145
- updated to last version 1.11.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.10.2-3.mga3
+ Revision: 300140
- new rpm group for ocaml

* Wed Aug 29 2012 blue_prawn <blue_prawn> 1.10.2-2.mga3
+ Revision: 285580
- fixed dependency on libgsl

* Wed Aug 22 2012 blue_prawn <blue_prawn> 1.10.2-1.mga3
+ Revision: 283154
- build requires camlp4
- imported package ocaml-gsl

